import request from '@/utils/request'

// 查询LineApiUser列表
export function listLineApiUser(query) {
  return request({
    url: '/api/v1/line-api-user',
    method: 'get',
    params: query
  })
}

// 查询LineApiUser详细
export function getLineApiUser(id) {
  return request({
    url: '/api/v1/line-api-user/' + id,
    method: 'get'
  })
}

// 新增LineApiUser
export function addLineApiUser(data) {
  return request({
    url: '/api/v1/line-api-user',
    method: 'post',
    data: data
  })
}

// 修改LineApiUser
export function updateLineApiUser(data) {
  return request({
    url: '/api/v1/line-api-user/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineApiUser
export function delLineApiUser(data) {
  return request({
    url: '/api/v1/line-api-user',
    method: 'delete',
    data: data
  })
}
export function getMainUser(data) {
  return request({
    url: '/api/v1/line-api-user/getMainUser',
    method: 'post',
    data: data
  })
}

